### Method

# Ide TreeModel invalidate

#### Declaration

    void
    ide_tree_model_invalidate (
      IdeTreeModel* self,
      IdeTreeNode* node
    )

#### Description

Invalidates `model` starting from `node` so that those items are rebuilt using the configured tree addins.

If `node` is `NULL`, the root of the tree is invalidated.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| An `IdeTreeNode` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.